enum ApiRoute {
    LOGIN                        = '/login',
    REFRESH_TOKENS               = '/refresh_tokens',
    TEST_SESSION                 = '/test_session',
    GITLAB_CHECK_TEMPLATE_ACCESS = '/gitlab/project/{{gitlabProjectId}}/checkTemplateAccess',
    ASSIGNMENT_GET               = '/assignments/{{assignmentNameOrUrl}}',
    ASSIGNMENT_CREATE            = '/assignments',
    ASSIGNMENT_PUBLISH           = '/assignments/{{assignmentNameOrUrl}}/publish',
    ASSIGNMENT_UNPUBLISH         = '/assignments/{{assignmentNameOrUrl}}/unpublish',
    ASSIGNMENT_CORRECTION_LINK   = '/assignments/{{assignmentNameOrUrl}}/corrections',
    ASSIGNMENT_CORRECTION_UPDATE = '/assignments/{{assignmentNameOrUrl}}/corrections/{{exerciseIdOrUrl}}',
    EXERCISE_CREATE              = '/assignments/{{assignmentNameOrUrl}}/exercises',
    EXERCISE_ASSIGNMENT          = '/exercises/{{exerciseIdOrUrl}}/assignment',
    EXERCISE_RESULTS             = '/exercises/{{exerciseIdOrUrl}}/results'
}


export default ApiRoute;